
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org LED Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Device.LED</h1><h2>Description</h2>
<p>This interface provides access to a LED device.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Device.LED</tt></p>
<h2>Methods</h2><ul>
<li><a href="#SetBrightness">SetBrightness</a></li>
<li><a href="#SetBlinking">SetBlinking</a></li>
<li><a href="#BlinkSeconds">BlinkSeconds</a></li>
<li><a href="#SetNetworking">SetNetworking</a></li>
</ul>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="SetBrightness">SetBrightness</a> ( i )</h3>
<p><i>Description:</i> Set the brightness level. </p><h4>Parameters</h4><i>i: brightness</i><p>The brightness level in percent (0-100). </p>
<h3><a name="SetBlinking">SetBlinking</a> ( ii )</h3>
<p><i>Description:</i> Start blinking. </p><p><div class="rationale"><p>This requires the Linux 2.6 LED class trigger 'timer' to be available. </p></div></p><h4>Parameters</h4><i>i: on_duration</i><p>Duration of being lit in milliseconds. </p><i>i: off_duration</i><p>Duration of being unlit in milliseconds. </p>
<h3><a name="BlinkSeconds">BlinkSeconds</a> ( iii )</h3>
<p><i>Description:</i> Blink the LED for a number of seconds. </p><p><div class="rationale"><p>This requires the Linux 2.6 LED class trigger 'timer' to be available. </p></div></p><h4>Parameters</h4><i>i: seconds</i><p>The amount of time (in seconds) to blink this LED. </p><i>i: on_duration</i><p>Duration of being lit in milliseconds. </p><i>i: off_duration</i><p>Duration of being unlit in milliseconds. </p>
<h3><a name="SetNetworking">SetNetworking</a> ( ss )</h3>
<p><i>Description:</i> Start visualizing the network status. </p><p><div class="rationale"><p>This requires the Linux 2.6 LED class trigger 'netdev' to be available. </p></div></p><h4>Parameters</h4><i>s: interface</i><p>The interface to visualize. </p><i>s: mode</i><p>A string combined of elements describing the visualization mode. Valid elements are:  <ul>  <li>"link": Visualizes the interface link status (up = lit),</li>  <li>"rx": Visualizes the interface receiving data,</li>  <li>"tx": Visualizes the interface transmitting data.</li>  </ul> </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

